Subnets
Get the value of "id" and "cidr" of an available subnet in the inventory. These values are used to create a new subnet.
The unique ID of a specified VPC.
a224d558-7b63-4706-ab9d-b2ed68477fa6A list of available subnets.
The unique ID of the subnet.
CIDR block of the available subnet.
Unauthorized access.
Forbidden.
Internal server error.
GET /api/v2/vmware/vpc/{vpc_id}/hpc/subnets/available HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": "f9856bc3-f810-11ef-838f-005056b46212",
"cidr": "10.102.23.0/24"
}
]Returns all of the subnets that have been created within a specified VPC.
The unique ID of a specified VPC.
The page number for pagination.
1The number of items per page.
10A list of subnets.
The number of subnets within a VPC.
Unauthorized access.
Forbidden.
Internal server error.
GET /api/v2/vmware/vpc/{vpc_id}/hpc/subnets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"message": null,
"data": [
{
"id": "6e6cac5d-c3a6-48ff-b6f7-b776caa43c6c",
"name": "reproduce1",
"subnet_cidr": null,
"description": "reproduce1",
"gateway": null,
"status": "Error",
"osp_network_id": null,
"network_acl_id": null,
"network_acl_name": null,
"created_at": "2025-08-20T09:26:46"
},
{
"id": "6a292615-3eda-430a-916a-85f60cf4e077",
"name": "dev-h200",
"subnet_cidr": "10.102.5.0/24",
"description": "",
"gateway": "10.102.5.254",
"status": "Available",
"osp_network_id": "dfe20c70-788f-4588-a43a-3ddfdfa15125",
"network_acl_id": "69f380d7-1ecb-4c97-a876-3c12f1a7565d",
"network_acl_name": "dev-h200",
"created_at": "2025-03-17T01:35:08"
}
],
"total": 2
}A CIDR range is allocated automatically. A network ACL is required and auto-created with a subnet. By default, only outbound traffic from the Bare Metal GPU server to the internet will be allowed. The quota of the subnet is equal to the quota of the Bare Metal GPU server per Tenant.
The unique ID of a specified VPC.
A unique name for your new subnet.
Unique ID of an available subnet.
CIDR block of an available subnet.
A unique name for your new Network ACL.
Description of the subnet.
Subnet created successfully.
Invalid request payload.
Unauthorized access.
Forbidden.
Internal server error.
POST /api/v2/vmware/vpc/{vpc_id}/hpc/subnets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 88
{
"name": "text",
"id": "text",
"cidr": "text",
"network_acl_name": "text",
"description": "text"
}{
"message": "Configure network request is accepted",
"data": {
"id": "266d3b48-fb35-46aa-a67e-343c89370800",
"name": "test",
"extra_log": null
}
}Update the name and description of a subnet.
The unique ID of a specified VPC.
The ID of the subnet to update.
The new name of the subnet that you want to update.
The new name of the description that you want to update.
Subnet updated successfully.
Invalid request payload.
Unauthorized access.
Forbidden.
Internal server error.
PUT /api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"name": "text",
"description": "text"
}{
"status": true,
"error_code": null,
"data": {
"id": "3a4dec5a-8854-4a4f-8a62-8c120bb63f96",
"name": "update",
"description": "string"
},
"message": "The subnet has been updated."
}You cannot delete a subnet that is associated with other resources.
The unique ID of a specified VPC.
The unique ID of the subnet to delete.
Subnet deleted successfully.
Unauthorized access.
Forbidden.
Internal server error.
DELETE /api/v2/vmware/vpc/{vpc_id}/hpc/subnets/{network_id}/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"message": "The subnet is deleting.",
"data": {
"id": "1ad415c9-8ff1-4775-a507-c16179ad0d50",
"name": "tesst",
"extra_log": null
}
}Last updated
Was this helpful?
